### %define _requires_exceptions libLCJNI.so*

Name:           lightzone
Version:	4.1.1
Release:	%mkrel 2
License:	BSD-3-Clause
Summary:	Open-source professional-level digital darkroom software
Url:		http://lightzoneproject.org/
Group:		Graphics
Source:		%{name}-%{version}.tar.xz
BuildRequires:	apache-ant, autoconf, automake, nasm, gcc, gcc-c++, libtool, make, tidy, git
BuildRequires:	java-1.8.0-sun-devel, %{_lib}x11-devel, %{_lib}lzma-devel, %{_lib}lcms2-devel, %{_lib}jpeg-devel,javahelp2
BuildRequires:	libgomp-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:	java >= 1.8.0
Requires:	javahelp2

%description
LightZone is open-source professional-level digital darkroom software
for Windows, Mac OS X, and Linux. Rather than using layers as many
other photo editors do, LightZone lets the user build up a stack
of tools which can be rearranged, turned off and on, and removed
from the stack. It's a non-destructive editor, where any of the
tools can be re-adjusted or modified later — even in a different
editing session. A tool stack can be copied to a batch of photos
at one time. LightZone operates in a 16-bit linear color space
with the wide gamut of ProPhoto RGB.

%prep
%setup -q

%build
export JAVA_HOME=/usr/lib/jvm/java-1.8.0-sun
ant -f linux/build.xml jar

%install

install -dm 0755 %buildroot/%{_libexecdir}/%{name}
cp -pH lightcrafts/products/dcraw_lz %buildroot/%{_libexecdir}/%{name}
cp -pH lightcrafts/products/LightZone-forkd %buildroot/%{_libexecdir}/%{name}
cp -pH linux/products/*.so %buildroot/%{_libexecdir}/%{name}
install -dm 0755 %buildroot/%{_javadir}/%{name}
cp -pH linux/products/*.jar %buildroot/%{_javadir}/%{name}

# create icons and shortcuts
install -dm 0755 %buildroot/%{_datadir}/applications
install -m 0644 linux/products/lightzone.desktop %buildroot/%{_datadir}/applications/
install -d 0755 %buildroot/%{_datadir}/icons
install -m 0644 linux/icons/hicolor/32x32/apps/lightzone.png %buildroot/%{_datadir}/icons

install -dm 755 %{buildroot}/%{_bindir}
install -m 755 linux/products/%{name} %{buildroot}/%{_bindir}

%post
%update_desktop_database

%postun
%clean_desktop_database

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README.md linux/BUILD-Linux.md
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/*
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/lightzone.png


%changelog
* Sat Jun 20 2015 pp <pp> 4.1.1-2pclos2015
- add Requires javahelp2

* Thu Jun 18 2015 pp <pp> 4.1.1-1pclos2015
- update

* Thu Oct 17 2013 pinoc <vogtpet at gmail.com> 4.0.0-1pclos2013
- imported Lightzone
